---
- name: Create /etc/gitlab/gitlab.rb
  template:
    src: pg_db_master.rb
    dest: /etc/gitlab/gitlab.rb
    owner: root
    mode: 0600

- name: Reconfigure gitlab
  command: gitlab-ctl reconfigure
  ignore_errors: yes

- name: Get Certificate to use in the GEO Configuration
  fetch:
    src: /var/opt/gitlab/postgresql/data/server.crt
    dest: ./gl_geo/templates/server.crt
    flat: yes

- name: Restart GitLab
  command: gitlab-ctl restart

- name: Set Geo replication Password
  expect:
    command: gitlab-ctl set-replication-password
    responses:
      (?i)password: "{{ postgres_pwd }}"
